Bug 412368 - Screens overlapping after screen lock
Summary: Screens overlapping after screen lock
Status: RESOLVED DUPLICATE of bug 413627
Alias: None
Product: KScreen
Classification: Unclassified
Component: common (show other bugs)
Version: 5.17.2
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: kscreen-bugs-null@kde.org
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-26 15:18 UTC by Germano Massullo
Modified: 2019-11-07 11:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
journalctl (345.08 KB, text/plain)
2019-10-14 15:34 UTC, Germano Massullo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Germano Massullo 2019-09-26 15:18:45 UTC
I have two screens, one if in vertical mode. I am getting the left (secondary) screen overlapping the main one after a screen lock/unlock

$ qdbus org.kde.KWin /KWin supportInformation 

Version
=======
KWin version: 5.16.90
Qt Version: 5.12.4
Qt compile version: 5.12.4
XCB compile version: 1.13.1

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_DRM: yes
HAVE_GBM: yes
HAVE_EGL_STREAMS: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: Fedora Project
Vendor Release: 12005000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 3
gridUnit: 10
font: Noto Sans,10,-1,0,50,0,0,0,0,0,Regular
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: KWin::X11StandalonePlatform

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 28
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 28
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 28
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
xrenderSmoothScale: false
maxFpsInterval: 16666666
refreshRate: 0
vBlankTime: 6000000
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: false
glPreferBufferSwap: 101
glPlatformInterface: 1
windowsBlockCompositing: true

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 2

Screen 0:
---------
Name: DP-2
Geometry: 750,364,2560x1440
Scale: 1
Refresh Rate: 59.95

Screen 1:
---------
Name: DP-1
Geometry: 0,0,1200x1920
Scale: 1
Refresh Rate: 59.95


Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
OpenGL version string: 3.0 Mesa 19.1.7
OpenGL platform interface: GLX
OpenGL shading language version string: 1.30
Driver: Intel
GPU class: Unknown
OpenGL version: 3.0
GLSL version: 1.30
Mesa version: 19.1.7
Linux kernel version: 5.2.17
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used
Painting blocks for vertical retrace:  no

Loaded Effects:
---------------
kwin4_effect_login
kwin4_effect_logout
screenshot
colorpicker
kwin4_effect_fadingpopups
kwin4_effect_dialogparent
highlightwindow
startupfeedback
kscreen

Currently Active Effects:
-------------------------

Effect Settings:
----------------
kwin4_effect_login:
isActiveFullScreenEffect: false

kwin4_effect_logout:
isActiveFullScreenEffect: false

screenshot:

colorpicker:

kwin4_effect_fadingpopups:
isActiveFullScreenEffect: false

kwin4_effect_dialogparent:
isActiveFullScreenEffect: false

highlightwindow:

startupfeedback:
type: 1

kscreen:
Comment 1 David Edmundson 2019-09-27 20:42:52 UTC
Can I have the output of xrandr -q before and after

Does this happen on lock or suspend?
Comment 2 Germano Massullo 2019-09-30 11:05:07 UTC
Before overlapping problem

$ xrandr -q
Screen 0: minimum 320 x 200, current 3760 x 1920, maximum 8192 x 8192
DP-1 connected 1200x1920+0+0 left (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200     59.95*+
   1920x1080     50.00  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.90  
   1280x960      60.00  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.03    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
DP-2 connected primary 2560x1440+1200+342 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440     59.95*+
   1920x1200     59.95  
   1920x1080     60.00    50.00    50.00    59.94  
   1920x1080i    60.00    60.00    50.00    50.00    59.94  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.90  
   1280x720      60.00    60.00    50.00    50.00    59.94  
   1024x768      75.03    60.00  
   800x600       75.00    60.32  
   720x576       50.00    50.00    50.00  
   720x480       60.00    60.00    59.94    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94    59.94  
   720x400       70.08  



While experiencing the problem


$ xrandr -q
Screen 0: minimum 320 x 200, current 3310 x 1920, maximum 8192 x 8192
DP-1 connected 1200x1920+0+0 left (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200     59.95*+
   1920x1080     50.00  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.90  
   1280x960      60.00  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.03    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
DP-2 connected primary 2560x1440+750+342 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440     59.95*+
   1920x1200     59.95  
   1920x1080     60.00    50.00    50.00    59.94  
   1920x1080i    60.00    60.00    50.00    50.00    59.94  
   1600x1200     60.00  
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.90  
   1280x720      60.00    60.00    50.00    50.00    59.94  
   1024x768      75.03    60.00  
   800x600       75.00    60.32  
   720x576       50.00    50.00    50.00  
   720x480       60.00    60.00    59.94    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94    59.94  
   720x400       70.08  



After restoring the screens position, I also get bug
"show only application on current screen" shows no applications https://bugs.kde.org/show_bug.cgi?id=404295
triggered
Comment 3 Germano Massullo 2019-10-03 13:28:28 UTC
I noticed that this happens also when the screens go into sleep mode and then you wake up them
Comment 4 Germano Massullo 2019-10-14 15:34:54 UTC
Created attachment 123183 [details]
journalctl

Today I wanted to collect some journalctl logs. So I locked the session, and waited until I have noticed that the Plasma screenlock view was overlapping in the two monitors. Then I unlocked the session and collected the journalctl messages that appeared just after the problem has been triggered.
Comment 5 Germano Massullo 2019-10-16 15:08:51 UTC
Is there anything else I can do to help debugging this bug?
Comment 6 Roman Gilg 2019-11-01 01:47:38 UTC
Let's continue discussion in 413627. There is some more information already about a potential fix.

*** This bug has been marked as a duplicate of bug 413627 ***
Comment 7 Germano Massullo 2019-11-07 11:57:22 UTC
Fixed in https://phabricator.kde.org/D25062#559530